=== debian/changelog ===
ubuntu-docs (8.06.1) hardy-proposed; urgency=low

  * Updates to Firefox homepage for Catalan, Korean (LP: #153124, LP: #220889)
  * Text and link fixes from Phil Bull (LP: #222987, LP: #231367)
  * SRU bug: (LP: #243823)

 -- Matthew East <mdke@ubuntu.com>  Sun, 22 Jun 2008 11:10:57 +0100

ubuntu-docs (8.04.2) hardy; urgency=low

  * Adding symlinks to fix offline FF startpage for several languages

 -- Matthew East <mdke@ubuntu.com>  Mon, 21 Apr 2008 22:33:10 +0100
