=== debian/changelog ===
ubuntu-docs (8.10.2) intrepid; urgency=low

  * Updating translations from Launchpad as at 19 Oct 08 (LP: #286829)
  * Small update to Hebrew translation of browser startpage (LP: #285696)
  * To save CD space, only ship translations which are over 75% translated

 -- Matthew East <mdke@ubuntu.com>  Sun, 19 Oct 2008 20:21:13 +0100

ubuntu-docs (8.10.1) intrepid; urgency=low

  * Add ukranian translation of firefox homepage (LP: #216982)
  * Correct wrong codename in basic-commands document (LP: #281664)

 -- Matthew East <mdke@ubuntu.com>  Tue, 14 Oct 2008 22:27:20 +0100

ubuntu-docs (8.09.2) intrepid; urgency=low

  * ubuntu-serverguide should suggest www-browser and not firefox (LP: #272772)

 -- Matthew East <mdke@ubuntu.com>  Sun, 21 Sep 2008 21:21:03 +0100

ubuntu-docs (8.09.1) intrepid; urgency=low

  * about-ubuntu validity fix (LP: #255088)
  * various text updates (LP: #238661, LP: #14425, LP: #248283, LP: #215025)
  * hebrew startpage improvement (LP: #220780)

 -- Matthew East <mdke@ubuntu.com>  Thu, 04 Sep 2008 22:50:16 +0100

ubuntu-docs (8.08.2) intrepid; urgency=low

  * Updating browser startpage version numbers

 -- Matthew East <mdke@ubuntu.com>  Mon, 04 Aug 2008 21:55:44 +0100

ubuntu-docs (8.08.1) intrepid; urgency=low

  * First release for intrepid
  * Severe restructuring and simplification of tree
  * Removing lots of unused files
  * Only build translated xml at build time, rather than in advance
  * Various text fixes

 -- Matthew East <mdke@ubuntu.com>  Sat, 05 Apr 2008 15:03:15 +0100
