=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: ubuntu-serverguide
 Architecture: all
 Pre-Depends: dpkg (>= 1.10.24)
-Suggests: firefox
+Suggests: www-browser
 Description: The Ubuntu Server Guide
  This package holds the official Ubuntu Server Guide. The guide can 
  be viewed using an html browser.
