## ubuntu-docs 9.04.9

=== debian/changelog ===
ubuntu-docs (9.04.9) jaunty; urgency=low

  * Final import of translations from Rosetta for NonLangPackFreeze
  * Removing erroneous section about totem not supporting DVD menus (LP: #354777)
  * libdvdread3 -> libdvdread4 (LP: #354764)

 -- Matthew East <mdke@ubuntu.com>  Thu, 09 Apr 2009 21:15:26 +0100

ubuntu-docs (9.04.8) jaunty; urgency=low

  * [Jordan Mantha]
    - Add Conflicts on edubuntu-docs (<< 9.04.1ubuntu1) LP: #353288

  * [Matthew East]
    - Remove es_ES and es_PR locales (LP: #348855)
    - Removing strings about totem not being able to support DVD menus (LP: #354777)

 -- Matthew East <mdke@ubuntu.com>  Fri, 03 Apr 2009 21:19:27 +0100

ubuntu-docs (9.04.7) jaunty; urgency=low

  * debian/ubuntu-docs.postinst - Fix syntax error with previous release (LP: #353117)
  * refreshing translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Wed, 01 Apr 2009 14:21:14 +0100

ubuntu-docs (9.04.6) jaunty; urgency=low

  * Remove deprecated directory at /usr/share/gnome/help/libs (LP: #303578)
    - Thanks to Steve Langasek for the fix

 -- Matthew East <mdke@ubuntu.com>  Mon, 30 Mar 2009 18:09:05 +0100

ubuntu-docs (9.04.5) jaunty; urgency=low

  * String freeze release

  * [Matthew East]
    - Updating logout and shutdown instructions for Jaunty (User Switcher, not System menu)
    - musicvideophotos.xml - use consistent language for extracting audio cds (LP: #346245)
    - musicvideophotos.xml - use direct link to brasero manual
    - Make titles of documents in yelp indexes match the title of the documents themselves (LP: #345852)
    - Refresh pot templates

  * [Dougie Richardson]
    - basic-commands.xml - paste instructions correction (LP: #341534)
    - internet/troubleshooting.xml - changing bad wording
    - video.xml - dvd support requires gstreamer-ugly (LP: #338321)
    - connecting.xml - modem instructions (LP: #310331)

  * [Adam Sommer] - Server Guide
    - Updated OpenLDAP section for new /etc/default/slapd configuration.
    - Added instructions for setting correct ACL for the Kerberos keys.
    - virtualization.xml - new Eucalyptus and OpenNebula sections
    - installation.xml:
      * rewrite of Extending Volume Groups section (LP: #347201, LP: #346862, and LP: #346859)
      * Updates for Jaunty.
    - security.xml:
      * Updated Firewall section for Jaunty.
      * Corrected "sudo ufw app info Samba" command (LP: #346327).
    - dns.xml - fixing grammar and spelling mistakes (LP: #348032, LP: #348023, LP: #348094).
    - windows-networking - Updated Likewise Open section for Jaunty (feedback from Thierry Carrez).

  * [Phil Bull]
    - about-ubuntu.xml - minor edits and updates, simplify a few sentences
    - add-applications.xml:
      * Add new entity for Software Sources, with sensible name
      * Simplify structure
      * Reduce verbosity, concentrate on the instructions
      * Separate-out conceptual information into dedicated sections

  * [Nathan Handler]
    - virtualization.xml - typo (LP: #343633)

  * [Dean Sas]
    - music.xml - volume control preferences fix (LP: #346957)

  * [Tim Bosse]
    - connecting.xml - add basic VPN instructions

 -- Matthew East <mdke@ubuntu.com>  Wed, 25 Mar 2009 22:03:21 +0000

ubuntu-docs (9.04.4) jaunty; urgency=low

  * [Matthew East]
    - Rewrite of internet/connecting/mobile-broadband
    - Review of internet/connecting/wireless
    - fix typo - LP: #339227
    - Update guilabel for disabling visual effects (LP: #339103)
    - Correction to 'Hardware Drivers' entity
    - Add documentation for visual effects keyboard shortcuts (LP: #147294) - patch from seisen1
    - Refresh pot files
    - programming.xml - package name should be in small case (LP: #336629)
    - Switching from Windows - typo fix and update to firefox bookmark export (LP: #330912, LP: #330908)

  * [Dougie Richardson]
    - Document MTP player support for rhythmbox (LP: #338437)
    - Use xref links rather than ulink in musicvideophotos (LP: #222990)

  * [Adam Sommer]
    - Improvements to OpenLDAP credentials section (LP: #333733, LP: #333437)
    - Fix to Samba security instructions (LP: #332478)
    - Fix to Subversion authentication details (LP: #337215)
    - Add -c flag to vert-viewer command example (LP: #335541)
    - Update link to MoinMoin website (LP: #334652)
    - Updated Postfix section with instructions for new dovecot-postfix package
    - Bind configuration improvements (LP: #339910)

 -- Matthew East <mdke@ubuntu.com>  Sun, 08 Mar 2009 13:54:15 +0000

ubuntu-docs (9.04.3) jaunty; urgency=low

  * Cruft Remover renamed to Computer Janitor, adjusting hardware.xml accordingly (LP: #336288)
  * Expansion and revision of Programming document (Dean Sas)
  * No way to change hostname using GUI tool now (LP: #322268) - Dougie Richardson
  * Update logout details (LP: #335279) - Dougie Richardson
  * Update version number in offline firefox startpage
  * Typo in serverguide (LP: #334697) - Dougie Richardson
  * Update to Windows partition manager in Switching from Windows doc (LP: #333600) - Dougie Richardson
  * Refresh pot files

 -- Matthew East <mdke@ubuntu.com>  Sun, 01 Mar 2009 15:46:22 +0000

ubuntu-docs (9.04.2) jaunty; urgency=low

  * Various serverguide fixes:
    - Grammar error (LP: #203829) - Dean Sas
    - Fix mailman dependencies (LP: #291772) - Morten Siebuhr
    - CVS installation error (LP: #298605) - Thomas M
    - Postfox installation error (LP: #306289) - Adam Sommer
    - SSH update (LP: #311900) - Dean Sas
    - unzoo replaced by zoo (LP: #312506)
    - Samba instructions update (LP: #313232) - Adam Sommer
    - Clearer SSL instructions (LP: #314951) - Adam Sommer
    - LDAP error (LP: #319179) - Adam Sommer
    - MoinMoin installation fix (LP: #320840) - Adam Sommer
    - Postfix ssl improvements (LP: #323203) - Adam Sommer
    - Ebox instructions error (LP: #324399) - Dean Sas
    - Typo in openssh section (LP: #325828) - Dean Sas
    - Typo in samba section (LP: #285484) - Nick Ellery

