## ubuntu-docs 9.04.10

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,10 @@
 ####################################################################################
 
 MAKECMD=make
+
+# Language code for documents
+# Ex. LN=ja for japanese
+LN=C
 
 # XSL Processors
 XSLTPROC=/usr/bin/xsltproc
@@ -59,7 +63,15 @@
 
 all: clean style index serverguide switching status contributors
 
-	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; sed -i $(BASE)$$doc/C/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/C/contributors\.html#g"; done
+	for doc in `cat libs/shipped-docs`; do \
+		if [ $(LN) != "C" ]; then \
+			./scripts/translate.sh -d $$doc -l $(LN); \
+		fi; \
+		if find $$doc/$(LN) -name "*.xml"; then \
+			xsltproc --xinclude -o $(BASE)$$doc/$(LN)/index.html $(UBUNTUCHUNKXSL) $$doc/$(LN)/$$doc.xml; \
+		fi; \
+	done
+	./scripts/fix-urls.sh -l $(LN)
 
 index:
 
@@ -100,53 +112,45 @@
 
 serverguide: style
 
-	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) serverguide/C/serverguide.xml
-	cp -r serverguide/sample $(BASE)serverguide/sample
-	sed -i $(BASE)serverguide/C/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/C/contributors\.html#g"
+	if [ $(LN) != "C" ]; then \
+		./scripts/translate.sh -d serverguide -l $(LN); \
+	fi
+	if find serverguide/$(LN) -name "*.xml"; then \
+		xsltproc --xinclude -o $(BASE)serverguide/$(LN)/index.html $(UBUNTUCHUNKXSL) serverguide/$(LN)/serverguide.xml; \
+		cp -r serverguide/sample $(BASE)serverguide/sample; \
+		sed -i $(BASE)serverguide/$(LN)/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/$(LN)/contributors\.html#g"; \
+	fi
 
 serverguide-pdf:
 
-	xsltproc --xinclude -o $(BASE)serverguide/C/serverguide.fo $(UBUNTUPDFXSL) serverguide/C/serverguide.xml
-	fop -fo $(BASE)serverguide/C/serverguide.fo -pdf $(BASE)serverguide/C/serverguide.pdf
+	if [ $(LN) != "C" ]; then \
+		./scripts/translate.sh -d serverguide -l $(LN); \
+	fi
+	if find serverguide/$(LN) -name "*.xml"; then \
+		xsltproc --xinclude -o $(BASE)serverguide/$(LN)/serverguide.fo $(UBUNTUPDFXSL) serverguide/$(LN)/serverguide.xml; \
+		fop -fo $(BASE)serverguide/$(LN)/serverguide.fo -pdf $(BASE)serverguide/$(LN)/serverguide.pdf; \
+	fi
 
 status: style
 
-	xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) serverguide/C/serverguide.xml
-	xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml
+	if [ $(LN) != "C" ]; then \
+		./scripts/translate.sh -d serverguide -l $(LN); \
+	fi
+	if find serverguide/$(LN) -name "*.xml"; then \
+		xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) serverguide/$(LN)/serverguide.xml; \
+		xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml; \
+	fi
 
 contributors: style
 
 	xsltproc --stringparam root.filename "contributors" -o $(BASE)libs/C/ $(UBUNTUCHUNKXSL) libs/C/contributors.xml
 
-index-test: style
+install: style
 
-	xsltproc --xinclude -o $(BASE)index-test/ $(UBUNTUCHUNKXSL) index2.xml
-	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications#add-applications.html#g"
+# To build an Ubuntu look n feel version of the installation-guide, download
+# the source package and unpack it to ubuntu/installation-guide. Then amend
+# build/buildone.sh so that the "web" stylesheet refers to the Ubuntu installguide stylesheet
+# in ubuntu/libs. Then use this make target.
 
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:administrative##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:users-admin##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:basic-commands##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:programming##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#panels##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#menubar##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#prefs##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:desktop-effects##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications\#synaptic##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#restricted-manager##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#nautilus##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#disks##g"
-#
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#
+	cd installation-guide/build && mkdir -p ../../build/installation-guide && destination='../../build/installation-guide/'  formats='html txt' architectures='amd64 hppa i386 ia64 powerpc sparc' ./buildweb.sh && cd ../../
