=== debian/changelog ===
ubuntu-docs (9.04.10) jaunty-proposed; urgency=low

  * Remove draft watermark from html, LP: #366098

 -- Matthew East <mdke@ubuntu.com>  Sat, 25 Apr 2009 00:43:59 +0100
