=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: all
 Pre-Depends: dpkg (>= 1.10.24)
 Depends: scrollkeeper, gnome-user-guide, yelp
-Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
+Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide, edubuntu-docs (<< 9.04.1ubuntu1)
 Replaces: ubuntu-faqguide
 Description: The Ubuntu Documentation Project
  This package holds the official Ubuntu-specific documentation, maintained
