=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2

DEB_SRCDIR = .

DEB_MAKE_BUILD_TARGET = gdeb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

install755=install -m755 -oroot -groot
preptrans=prepare-firefox-startpage-translations
preptransdir=debian/ubuntu-docs/usr/share/ubuntu-docs/common

clean::
	@grep -E ^"\*" debian/README.Debian | sed 's/^\*\ //' | xargs rm -rf
	@echo "---"

common-binary-post-install-indep::
	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
	$(install755) -d $(preptransdir)
	$(install755) debian/$(preptrans) $(preptransdir)
	$(preptransdir)/$(preptrans) \
		browser-startpage \
		debian/ubuntu-docs \
		/usr/share/ubuntu-artwork/home/locales-ubuntu \
		../index.html

# Install the documents; skip documents which are less than 75% translated

	set -x; for doc in `cat libs/shipped-docs`; do \
		scripts/translate.sh -d $$doc ; \
		numstrings=`LANG=C msgfmt --statistics $$doc/po/$$doc.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
			for lang in `ls $$doc/`; do \
				if [ -e $$doc/po/$$lang.po ]; then \
					translated=`LANG=C msgfmt -o /dev/null --statistics $$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
					if [ "`echo "$$translated./$$numstrings > 0.75" | bc -l`" = "0" ]; then \
						echo "$$doc $$lang is less than 75% translated, skipping"; \
						continue; \
					fi; \
				fi; \
				if [ -e $$doc/$$lang/$$doc.xml ]; then \
					mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
					cp $$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
				fi; \
				if [ -e $$doc/$$lang/*.omf ]; then \
					mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
					cp $$doc/$$lang/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
				fi; \
			done; \
		done; \

# Common documents

		cp -r libs debian/ubuntu-docs/usr/share/ubuntu-docs/ 

# Scrollkeeper loving

	dh_scrollkeeper 

build/ubuntu-serverguide::
	$(MAKE) serverguide; $(MAKE) contributors

install/ubuntu-serverguide::
	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/C
	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/C
	cp -R build/libs/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
	cp -R serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
	cp libs/ubuntu-book.css debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/
	cp -R build/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
	cp -R build/libs/C/contributors.html debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/C/

binary-fixup/ubuntu-docs::
	(cd debian/ubuntu-docs; ../../scripts/symlink-dupes)
