## ubuntu-docs 9.10.11

=== debian/changelog ===
ubuntu-docs (9.10.11) karmic; urgency=low

  * Update translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Sat, 17 Oct 2009 17:23:03 +0100

ubuntu-docs (9.10.10) karmic; urgency=low

  * Remove draft watermark from html pages
  * Drop fdupes script as it clashes with current pkgbinarymangler (LP: #441401)
    - also need to set CDBS_NO_GNOME_HELP_SYMLINKING=1 to stop fdupes script
  * Update version number in offline browser startpage to 9.10

 -- Matthew East <mdke@ubuntu.com>  Mon, 12 Oct 2009 22:09:57 +0100

ubuntu-docs (9.10.9) karmic; urgency=low

  * General:
    - Refresh pot files
    - Fix broken links to ghelp:hardware#jockey, Connor Imes, LP: #441460
    - Update references to gnome-app-install to software-center, Connor
      Imes, LP: #441810
  * add-applications.xml:
    - Replace references to 'Third party software' with 'Other software',
      Shane Fagan, LP: #441323, LP: #441315
  * internet.xml:
    - Update packagenames for flashplugin-installer and ttf-mscorefonts-installer,
      Connor Imes, LP: #441799
  * musicvideophotos.xml:
    - Correct firefox flash error message, LP: #441815
  * programming.xml:
    - Replace gambas with gambas2, Connor Imes, LP: #414287
  * usb-creator.xml:
    - Correct typo, Connor Imes, LP: #442231
    - Correct unclear sentence, LP: #442461

 -- Matthew East <mdke@ubuntu.com>  Sun, 04 Oct 2009 21:05:06 +0100

ubuntu-docs (9.10.8) karmic; urgency=low

  * General:
    - Refresh pot files
  * hardware.xml:
    - Update jockey instructions to reflect UI changes from some time ago (LP: #281143)
    - Remove link to deprecated section in accessibility guide (LP: #293842)
  * internet.xml:
    - Network manager network list no longer has radio buttons, Dean Sas
  * keeping-safe.xml:
    - Update firewall section, Connor Imes / bodhi.zazen (LP: #377039)
  * usb-creator.xml:
    - Add manual for usb-creator, new document by Augustina Blair
  * serverguide.xml:
    - Add additional information for configuring TLS with OpenLDAP and gnutls, PeterNSteinmetz (LP: #437483)

 -- Matthew East <mdke@ubuntu.com>  Sun, 27 Sep 2009 17:26:16 +0100

ubuntu-docs (9.10.7) karmic; urgency=low

  * General:
    - Refresh pot files
  * Add-applications:
    - Amend add-applications in light of move from gnome-app-install to software-center
  * Serverguide (by Adam Sommer unless otherwise stated):
    - Updating etckeeper section for new version and fixing typo, Thierry Carrez (LP: #432377)
    - Updating the Postgresql section for version 8.4, ~BG (LP: #426971)
    - Fix typos in Chat section, Connor Imes (LP: #410654)
    - Removing note about command line utility differences, Connor Imes (LP: #394728)
    - Update for phpinfo() test script, Christian Wenz (LP: #418045)
    - Added note about manually compiling drbd module in virtual kernels, removed bad config
      line based on feed back from Ante Karamatić (LP: #397241)
    - Apache2 configuration update for more security, and clarification of using SSL
      and Apache2 with Subversion (LP: #383605)
    - Added a link to the Windows Networking section to find more info regarding Samba (LP: #415622)
    - Added priority to MX record example (LP: #425207)
    - Added more configuration options to Amavisd-new section to flag more messages as spam (LP: #363442)
    - Updated mailman Apache2 configuration for latest version of moinmoin (LP: #381802)

 -- Matthew East <mdke@ubuntu.com>  Sat, 26 Sep 2009 14:07:07 +0100

ubuntu-docs (9.10.6) karmic; urgency=low

  * General:
    - Refresh pot files
    - debian/rules: remove deprecated scrollkeeper calls
    - debian/rules: small fix to build process for translated xml 
  * Internet:
    - Remove outstanding mention of Pidgin (LP: #425834), Dougie Richardson
    - Update bittorrent docs for introduction of Transmission, Dean Sas
    - Fix instruction for Java plugin on amd64 (LP: #293781), Dougie Richardson

 -- Matthew East <mdke@ubuntu.com>  Tue, 22 Sep 2009 21:32:29 +0100

ubuntu-docs (9.10.5) karmic; urgency=low

  * General:
    - Also ship translations which are under 75% translated now, as these are included in language packs
    - Refresh pot files
  * Internet:
    - New mobile broadband troubleshooting section, Dougie Richardson
  * Serverguide:
    - Adjust the command to create an LDIF for schema addition, Adam Sommer (LP: #416520)
  * Switching:
    - Fix several typos, Jonathan Jesse (LP: #416422)

 -- Matthew East <mdke@ubuntu.com>  Mon, 31 Aug 2009 22:39:58 +0100

ubuntu-docs (9.10.4) karmic; urgency=low

  * General:
    - Updating version numbers for 9.10/Karmic
    - Refresh pot files
  * About-ubuntu:
    - reword first sentence to clarify system version number, LP: #395905
  * Internet:
    - Replace Pidgin with Empathy, now default IM app in Karmic
    - typo, LP: #414153
  * Serverguide:
    - Update correct command for restarting cups, Dougie Richardson, LP: #380836
    - New Jabberd2 section, Adam Sommer
    - New OpenVPN chapter, Adam Sommer
    - Typo, LP: #414605

 -- Matthew East <mdke@ubuntu.com>  Mon, 17 Aug 2009 08:30:56 +0100

ubuntu-docs (9.10.3) karmic; urgency=low

  * debian/rules - install "C" locale documents (these were not being
    installed following changes in 9.10.1)
  * Basic-commands:
    - Spelling fix, Dougie Richardson, LP #388651
  * Keeping-safe:
    - Update for new firefox security dialogue, LP: #386556
  * Internet:
    - Added FAQ section, Dougie Richardson
  * Printing:
    - Grammar fix, LP: #386376
  * Serverguide:
    - Remove all instances of 'the the', LP: #377436
    - New Monitoring chapter, including Nagios and Munin, Adam Sommer
    - Adding bind9-utils package to the DNS Server task package list, from Shane Fagan, LP: #381739
    - Typo in Landscape section, Jonathan Jesse, LP: #394026 
    - Replaced Postfix and SMTPAUTH instructions, Adam Sommer
    - Corrected /etc/ufw/sysctl.conf syntax, Adam Sommer, LP: #397357

 -- Matthew East <mdke@ubuntu.com>  Sat, 25 Jul 2009 14:08:12 +0100


