=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,10 @@
 
 DEB_DH_INSTALL_ARGS = -X.svn
 DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
-
+export CDBS_NO_GNOME_HELP_SYMLINKING=1
 DEB_SRCDIR = .
 
-DEB_MAKE_BUILD_TARGET = gdeb
-
 $(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
-	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)
 
 install755=install -m755 -oroot -groot
 preptrans=prepare-firefox-startpage-translations
@@ -33,23 +30,23 @@
 
 # Install the documents; skip documents which are less than 75% translated
 
-	set -x; for doc in `cat libs/shipped-docs`; do \
-		scripts/translate.sh -d $$doc ; \
-		numstrings=`LANG=C msgfmt --statistics $$doc/po/$$doc.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
-			for lang in `ls $$doc/`; do \
+	for doc in `cat libs/shipped-docs`; do \
+		mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/C/; \
+		cp $$doc/C/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/C/; \
+		mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
+		cp $$doc/C/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
+		echo "Building and installing translated xml for $$doc"; \
+			for pofile in `ls $$doc/po/`; do \
+				lang=$$(basename $$pofile .po); \
 				if [ -e $$doc/po/$$lang.po ]; then \
-					translated=`LANG=C msgfmt -o /dev/null --statistics $$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
-					if [ "`echo "$$translated./$$numstrings > 0.75" | bc -l`" = "0" ]; then \
-						echo "$$doc $$lang is less than 75% translated, skipping"; \
-						continue; \
-					fi; \
+					echo "--$$doc $$lang, building xml..."; \
+						scripts/translate.sh -d $$doc -l $$lang ; \
 				fi; \
 				if [ -e $$doc/$$lang/$$doc.xml ]; then \
 					mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
 					cp $$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
 				fi; \
 				if [ -e $$doc/$$lang/*.omf ]; then \
-					mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
 					cp $$doc/$$lang/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
 				fi; \
 			done; \
@@ -58,10 +55,6 @@
 # Common documents
 
 		cp -r libs debian/ubuntu-docs/usr/share/ubuntu-docs/ 
-
-# Scrollkeeper loving
-
-	dh_scrollkeeper 
 
 build/ubuntu-serverguide::
 	$(MAKE) serverguide; $(MAKE) contributors
@@ -75,5 +68,3 @@
 	cp -R build/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
 	cp -R build/libs/C/contributors.html debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/C/
 
-binary-fixup/ubuntu-docs::
-	(cd debian/ubuntu-docs; ../../scripts/symlink-dupes)
