## ubuntu-docs 10.04.3

=== debian/changelog ===
ubuntu-docs (10.04.3) lucid; urgency=low

  * Import translations from Rosetta
  * Replace old Ubuntu logo with new one from wiki:Brand (LP: #551058)

 -- Matthew East <mdke@ubuntu.com>  Sun, 18 Apr 2010 21:06:41 +0100

ubuntu-docs (10.04.2) lucid; urgency=low

  * General:
    - Fixes to scripts/fix-url.sh (including LP: #482862)
    - Fix character encoding in contributors.xml (LP: #448618)
    - Updated version in browser-startpage html files, LP: #526320
    - Refresh pot files
  * Add-applications:
    - Updates for UI changes, Phil Bull
  * Config-desktop:
    - Added topic on changing window buttons from the left, Phil Bull
  * Hardware:
    - Added mention of gsynaptics, Connor Imes, LP: #450567
  * Internet:
    - Refresh list of plugins supplied by ubuntu-restricted-extras, branch 
      from Nathan Murray, LP: #504981
    - Updates to reflect that Ekiga no longer installed by default, Connor Imes,
      LP: #508572
    - Grammar fix from Alex Wardle, LP: #517776
    - Order adjustment for shares-admin usage, Alex Wardle, LP: #518119
    - Button name change for shares-admin app, Alex Wardle, LP: #518170
    - Use unlock icon in networking section, Alex Wardle, LP: #518117
    - Updated directions on changing text size and page zooming in firefox,
      Alison Rowland, LP: #512556
    - Fixed guilabel usage in modem section. Alex Wardle, LP: #521243
    - Updated button and tab names in Static Connections section,
      Alex Wardle, LP: #521508
    - Typo fix in adsl section. Alex Wardle, LP: #525349
    - Removed unused and empty basics.xml, LP: #525431
    - Minor wording update to directions for sharing folders via nautilus,
      Connor Imes, LP: #518175
    - Use 'NetworkManager' not 'Network Manager' for consistency, Connor Imes
      LP: #518107
    - Update to troubleshooting mobile devices, Connor Imes, LP: #453459
    - Adjusted description of NetworkManager applet icons, Connor Imes
      LP: #440826
    - Additions to VPN section of connecting guide, Alex Wardle, LP: #452647
    - Expanded on using config files for vpn connections, Connor Imes
    - Command line substitution for Services utility which is not in Karmic or
      Lucid, Connor Imes, LP: #518460
    - Structural and language changes + updates for UI changes, Phil Bull
  * Musicvideophotos:
    - Added section for recording and editing video, Book 'em Dano, LP: #367569
  * Newtoubuntu:
    - Complete rewrite, Matthew East
  * Printing:
    - Simple Scan replaced xsane for scanning documents, Alex Wardle, LP: #546193
  * Serverguide:
    - Rename link to serverguide in advanced-topics.xml, Gilbert 
      Mendoza, LP: #505708
    - Use distro-short-codename variable for vmbuilder documentation in 
      serverguide rather than static version example, Connor Imes,. LP: #509653
    - Small fixes to security chapter, Connor Imes, LP: #510703
    - Small fixes from Nathan Handler, LP: #507624
    - Configuration change for OpenLDAP, Connor Imes, LP: #511090
    - Refresh of network-config section, Gilbert Mendoza, LP: #506800
    - Update manpage links to use distro-short-codename, Connor Imes
    - Changed OpenLDAP replication to use single Provider/Consumer configuration,
      Adam Sommer
    - Removed grub-password-security section - it does not apply to Grub2,
      Gilbert Mendoza, LP: #384148
    - Reference Grub2 community doc page for advanced configuration directions,
      Connor Imes, LP: #437446
    - Added necessary configuration options for apt Periodic in automatic-updates
      section, Connor Imes, LP: #532661
    - Added subsections for consumer and provider configuration steps, Adam Sommer
    - Changed TLS Replication section to use Single-Master scheme, Adam Sommer
    - Clarified Postfix TLS/SSL using a CA configuration steps, Adam Sommer,
      LP: #518289
    - Changed Apache2 Subversion configuration to use VirtualHost file instead
      of apache2.conf, Adam Sommer, LP: #515298.
    - Adding Ubuntu Wiki links to each section's Resources subsection, Adam Sommer
    - Added note in mail section about some packages being in multiverse,
      Connor Imes, LP: #509355
    - Use default serverguide index.html file location for accessing serverguide
      in terminal, Connor Imes, LP: #537167#
    - Updated to use Grub2 directions, Connor Imes, LP: #533582
    - Updated MySQL information for mysql-server-5.1, Adam Sommer
    - Replaced screen-profiles with byobu project, Adam Sommer
    - Changed egrep command with kvm-ok script, Adam Sommer
    - Removed references to likewise-open5, Adam Sommer
    - Add reporting-bugs.xml - Steve Beattie
    - Replaced Eucalyptus section with information on UEC, Adam Sommer
    - Updated command and configuration mistakes in vpn.xml, Adam Sommer
      LP: #489819
    - Replaced update-motd section with newer pam_motd, Adam Sommer, LP: #496184
    - Updated LocalSettings.php command for new file path, and recommending upping
      the memory limit based on feedback from Cornelius Brümmer, Adam Sommer
    - Updated Installation section for Lucid, and added row seperator for UEC
      requirement tables, Adam Sommer
    - Changed OpenLDAP TLS/SSL options to use gnutls to create certificate instead 
      of OpenSSL, Adam Sommer
  * Switching/Windows:
    - Updated dualboot section to use startupmanager for changing 
      boot options (valid for Grub and Grub2), Connor Imes
    - Fixed 'Ubuntu Ubuntu' typo, Alex Wardle, LP: #526083
    - Removed old string from Windows section and copied correct string to
      Switching guide, Connor Imes, LP: #527905
    - Split off directions for exporting favorites in IE8. Broke different
      IE versions down into subsections, Connor Imes, LP: #528808

 -- Matthew East <mdke@ubuntu.com>  Mon, 29 Mar 2010 07:56:15 +0100

ubuntu-docs (10.04.1) lucid; urgency=low

  * First upload for lucid
  * General:
    - Refresh pot files
    - Changed 'Text Editor' to 'gedit Text Editor' LP: #442417 (Connor Imes)

