=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.0), cdbs
-Build-Depends-Indep: xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml, fdupes, bc
-Standards-Version: 3.7.2
+Build-Depends-Indep: xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml, bc
+Standards-Version: 3.8.1
+Homepage: https://launchpad.net/ubuntu-doc
 
 Package: ubuntu-docs
 Architecture: all
