## ubuntu-docs 10.04.3charlotte2

=== debian/changelog ===
ubuntu-docs (10.04.3charlotte2) lucid; urgency=low

  * Fix typo in path to user guide in vodafone.xml

 -- Alex Chiang <achiang@canonical.com>  Mon, 20 Jun 2011 10:41:57 -0600

ubuntu-docs (10.04.3charlotte1) lucid; urgency=low

  * Add new document that contains link to PDF user guide (LP: #792160)

 -- Alex Chiang <achiang@canonical.com>  Thu, 16 Jun 2011 16:10:04 -0600
